%define major 1
%define libname %mklibname magic %{major}
%define develname %mklibname -d magic
%define staticname %mklibname -d -s magic

%define rversion 5.36

Summary:	A utility for determining file types
Name:		file
Version:	5.38
Release:	%mkrel 3
License:	BSD
Group:		File tools
URL:		http://www.darwinsys.com/file/
Source0:	ftp://ftp.astron.com/pub/file/%{name}-%{rversion}.tar.xz
Patch3:		file-5.32-selinux.patch
Patch4:		file-5.04-oracle.patch
Patch7:		file-5.05-dump.patch
Patch8:		file-5.35-berkeleydb.patch
Patch9:		file-5.32-xen.patch
Patch13:	file-5.15-images.patch
Patch14:	file-4.20-apple.patch
Patch17:	file-5.19-image-fmt-widths.patch
# From Fedora
Patch100:	file-5.32-awk-perl.patch
Patch101:	file-5.24-varied.patch

BuildRequires:	zlib1-devel
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	%{libname} = %{version}

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Shared library for handling magic files

%description -n	%{libname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handling the so called magic files the 'file'
command is based on.

%package -n	%{develname}
Summary:	Development files to build applications that handle magic files
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	%{name} >= %{version}-%{release}
Provides:	libmagic-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	magic-devel = %{version}-%{release}
%define olddev %mklibname -d magic 1
%rename		%{olddev}

%description -n	%{develname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handling the so called magic files the 'file'
command is based on. 

%package -n	%{staticname}
Summary:	Static library to build applications that handle magic files
Group:		Development/C
Requires:	%{develname} = %{version}
Provides:	libmagic-static-devel = %{version}-%{release}
Provides:	magic-static-devel = %{version}-%{release}
%define oldstat %mklibname -s -d magic 1
%rename		%{oldstat}

%description -n	%{staticname}
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

Libmagic is a library for handling the so called magic files the 'file'
command is based on.

%package -n	python-magic
Summary:	Python module to use libmagic
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Provides:       python2dist(magic) = %{version}-%{release}
%{?python_provide:%python_provide python2-magic}

%description -n	python-magic
Libmagic is a library for handling the so called magic files the 'file'
command is based on.

This package contains the python binding for libmagic.

%package -n	python3-magic
Summary:	Python 3 module to use libmagic
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Provides:       python3dist(magic) = %{version}-%{release}
%{?python_provide:%python_provide python3-magic}

%description -n	python3-magic
Libmagic is a library for handling the so called magic files the 'file'
command is based on.

This package contains the python 3 binding for libmagic.

%prep

# Don't use -b -- it will lead to poblems when compiling magic file!
%setup -qn %{name}-%{rversion}
%patch3 -p1
%patch4 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch13 -p1
%patch14 -p0
%patch17 -p1
%patch100 -p1
%patch101 -p1

%build
#patch 3
autoreconf -vfi

CFLAGS="%{optflags} -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
%configure2_5x --enable-static
%make_build

pushd python
%py2_build
%py3_build
popd

%install
%make_install

# install one missing header file
install -m644 src/file.h %{buildroot}%{_includedir}/file.h

cat magic/Magdir/* > ${RPM_BUILD_ROOT}%{_datadir}/misc/magic

pushd python
%py2_install
%py3_install
popd

%files
%doc README MAINT ChangeLog
%{_bindir}/*
%{_datadir}/misc/*
%{_mandir}/man1/*
%{_mandir}/man4/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_includedir}/*
%{_mandir}/man3/*

%files -n %{staticname}
%{_libdir}/*.a

%files -n python-magic
%doc python/README.md python/example.py
%{python2_sitelib}/file_magic-*-py%{python2_version}.egg-info
%{python2_sitelib}/magic.py*

%files -n python3-magic
%doc python/README.md python/example.py
%{python3_sitelib}/file_magic-*-py%{python3_version}.egg-info
%{python3_sitelib}/magic.py*



%changelog
* Wed Aug 10 2022 TerryN <terryn94 at gmail.com> 5.38-3pclos2022
- rebuild 5.36 for python 3.10

* Sun Jan 04 2020 - 5.38-2pclos2020
- back down to 5.36 since 5.38 breask dkms

* Wed Sep 11 2019 - 5.37-2pclos2019
- back down to 5.36 since 5.37 breaks dkms
